CREATE OR REPLACE DIRECTORY BACKUPDIR AS '\\your-server.com\Share';
/

GRANT READ, WRITE ON DIRECTORY BACKUPDIR to YOUR_SCHEMA_NAME;
/

DROP USER "YOUR_SCHEMA_NAME" CASCADE;
CREATE USER "YOUR_SCHEMA_NAME"
  IDENTIFIED BY "YOUR_SCHEMA_PASSWORD"
  DEFAULT TABLESPACE USERS
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
/

GRANT CONNECT TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT RESOURCE TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT CREATE USER TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT DROP USER TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT ALTER USER TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT CREATE ROLE TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT CREATE ANY TYPE TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT CREATE ANY VIEW TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT CREATE ANY TABLE TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT CREATE ANY INDEX TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT CREATE ANY TRIGGER TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT CREATE ANY PROCEDURE TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT GRANT ANY OBJECT PRIVILEGE TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT UNLIMITED TABLESPACE TO "YOUR_SCHEMA_NAME" WITH ADMIN OPTION;
/
GRANT SELECT ON SYS.V_$DATABASE TO PUBLIC WITH GRANT OPTION;
/
GRANT SELECT ON SYS.V_$INSTANCE TO PUBLIC WITH GRANT OPTION;
/
GRANT DBA TO "YOUR_SCHEMA_NAME";
/
GRANT "CONNECT" TO "YOUR_SCHEMA_NAME";
/
GRANT CREATE SESSION TO "YOUR_SCHEMA_NAME";
/
GRANT "RESOURCE" TO "YOUR_SCHEMA_NAME";
/
ALTER USER "YOUR_SCHEMA_NAME" DEFAULT ROLE "CONNECT";
/
ALTER USER "YOUR_SCHEMA_NAME" DEFAULT ROLE "RESOURCE";
/
ALTER USER "YOUR_SCHEMA_NAME" DEFAULT ROLE "DBA";
/
GRANT SELECT ON v_$database TO "YOUR_SCHEMA_NAME";
/
GRANT CONNECT,RESOURCE,DBA,IMP_FULL_DATABASE TO "YOUR_SCHEMA_NAME";
/
GRANT imp_full_database TO "YOUR_SCHEMA_NAME";
/
GRANT exp_full_database TO "YOUR_SCHEMA_NAME";
/
exit;